Ticket #42901

explain_why_no_action_enabled() fallthrough warning

Open Date: 2021-09-23 11:32 Last Update: 2021-10-16 14:36

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

With -Wimplicit-fallthrough enabled:

../../../src/server/unithand.c: In function ‘explain_why_no_action_enabled’:
../../../src/server/unithand.c:2019:5: error: this statement may fall through -Werror=implicit-fallthrough=

2019 | {
|

../../../src/server/unithand.c:2038:3: note: here

2038 | case ANEK_TRIREME_MOVE:
| ~

Ticket History (3/5 Histories)

2021-09-23 11:32 Updated by: cazfi
  • New Ticket "explain_why_no_action_enabled() fallthrough warning" created
2021-09-23 17:16 Updated by: cazfi
Comment

This is actually dead code *after* the break;

Seems like alternative implementation to the stuff that is above. Is this reimplementing gone awry?

2021-10-09 12:59 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
2021-10-16 14:36 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login